Page MenuHomePhabricator

Error from ApiPageTriageList.php: "Undefined index: recreated"
Closed, ResolvedPublic

Description

Error

Request URL: /w/api.php…
Request ID: XPANMgpAIDcAALgOYxEAAAAY

message
PHP Notice: Undefined index: recreated
trace
#0 /srv/mediawiki/php-1.34.0-wmf.7/extensions/PageTriage/includes/Api/ApiPageTriageList.php(452): MWExceptionHandler::handleError(integer, string, string, integer, array, array)
#1 /srv/mediawiki/php-1.34.0-wmf.7/extensions/PageTriage/includes/Api/ApiPageTriageList.php(291): MediaWiki\Extension\PageTriage\Api\ApiPageTriageList::buildTagQuery(array)
#2 /srv/mediawiki/php-1.34.0-wmf.7/extensions/PageTriage/includes/Api/ApiPageTriageList.php(71): MediaWiki\Extension\PageTriage\Api\ApiPageTriageList::getPageIds(array)
#3 /srv/mediawiki/php-1.34.0-wmf.7/includes/api/ApiMain.php(1595): MediaWiki\Extension\PageTriage\Api\ApiPageTriageList->execute()
#4 /srv/mediawiki/php-1.34.0-wmf.7/includes/api/ApiMain.php(531): ApiMain->executeAction()
#5 /srv/mediawiki/php-1.34.0-wmf.7/includes/api/ApiMain.php(502): ApiMain->executeActionWithErrorHandling()
#6 /srv/mediawiki/php-1.34.0-wmf.7/api.php(87): ApiMain->execute()

Impact

(Unknown: To be determined.)

Notes

  • Appears new in 1.34.0-wmf.7. (The error was not observed by Logstash during the 25 days before it.)
  • Affects en.wikipedia.org and test.wikipedia.org.

Example query: action=pagetriagelist&format=json&namespace=0&showreviewed=1&showunreviewed=1&showdeleted=1&showothers=1&recreated=1&dir=newestfirst&limit=20

Details

Related Gerrit Patches:
mediawiki/extensions/PageTriage : masterFollow-up 4c1c225: Re-bump wgPageTriageCacheVersion
mediawiki/extensions/PageTriage : wmf/1.34.0-wmf.7Follow-up 4c1c225: Re-bump wgPageTriageCacheVersion
mediawiki/extensions/PageTriage : wmf/1.34.0-wmf.7Follow-up 4c1c225: Bump wgPageTriageCacheVersion
mediawiki/extensions/PageTriage : masterFollow-up 4c1c225: Bump wgPageTriageCacheVersion

Event Timeline

Krinkle created this task.May 30 2019, 7:05 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptMay 30 2019, 7:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
MusikAnimal triaged this task as Unbreak Now! priority.May 30 2019, 7:12 PM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptMay 30 2019, 7:12 PM
MusikAnimal added a comment.EditedMay 30 2019, 7:16 PM

We saw this problem on the beta cluster at first, but then it resolved itself. I had assumed it took a minute before update.php ran. But I see now this is also broken on testwiki where it has been for 2 days

Bradv added a subscriber: Bradv.May 30 2019, 7:17 PM

I think this has to do with $wgPageTriageCacheVersion from https://github.com/wikimedia/mediawiki-extensions-PageTriage/blob/master/includes/ArticleMetadata.php#L247 . Do we have to bump that manually?

I think this has to do with $wgPageTriageCacheVersion from https://github.com/wikimedia/mediawiki-extensions-PageTriage/blob/master/includes/ArticleMetadata.php#L247 . Do we have to bump that manually?

It was last changed in https://gerrit.wikimedia.org/r/plugins/gitiles/mediawiki/extensions/PageTriage/+/259278eb451f8ae5aa238db184cb6baa308b2c99 — if the format has changed, presumably that should have been bumped in that change?

Yes I suppose so though strangely I don't think I did that on my local, or on beta. @Jdforrester-WMF Do you know where this is defined? It's not in the codebase, and I don't see this setting in our InitialiseSettings.php

Sorry I found it. Let me bump that

Change 513355 had a related patch set uploaded (by MusikAnimal; owner: MusikAnimal):
[mediawiki/extensions/PageTriage@master] Bump wgPageTriageCacheVersion

https://gerrit.wikimedia.org/r/513355

Change 513372 had a related patch set uploaded (by Jforrester; owner: MusikAnimal):
[mediawiki/extensions/PageTriage@wmf/1.34.0-wmf.7] Follow-up 4c1c225: Bump wgPageTriageCacheVersion

https://gerrit.wikimedia.org/r/513372

Change 513355 merged by Jforrester:
[mediawiki/extensions/PageTriage@master] Follow-up 4c1c225: Bump wgPageTriageCacheVersion

https://gerrit.wikimedia.org/r/513355

Change 513372 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@wmf/1.34.0-wmf.7] Follow-up 4c1c225: Bump wgPageTriageCacheVersion

https://gerrit.wikimedia.org/r/513372

Mentioned in SAL (#wikimedia-operations) [2019-05-30T21:10:18Z] <niharika29@deploy1001> Synchronized php-1.34.0-wmf.7/extensions/PageTriage: Bump wgPageTriageCacheVersion T224693 (duration: 00m 51s)

Mentioned in SAL (#wikimedia-operations) [2019-05-30T21:11:08Z] <Krinkle> krinkle@mwmaint1002 Add 1 row to pagetriage_tags table on enwiki, based on PageTriageTagsPatch-recreated.sql. T224693, T189929

Mentioned in SAL (#wikimedia-operations) [2019-05-30T21:12:40Z] <Krinkle> krinkle@mwmaint1002 Add 1 row to pagetriage_tags table on testwiki db, based on PageTriageTagsPatch-recreated.sql. T224693, T189929

Change 513495 had a related patch set uploaded (by MusikAnimal; owner: MusikAnimal):
[mediawiki/extensions/PageTriage@master] Follow-up 4c1c225: Re-bump wgPageTriageCacheVersion

https://gerrit.wikimedia.org/r/513495

Mentioned in SAL (#wikimedia-operations) [2019-05-30T21:27:26Z] <Krinkle> krinkle@mwmaint1002 Add 1 row to pagetriage_tags table on test2wiki db, based on PageTriageTagsPatch-recreated.sql. T224693, T189929

Change 513497 had a related patch set uploaded (by Krinkle; owner: MusikAnimal):
[mediawiki/extensions/PageTriage@wmf/1.34.0-wmf.7] Follow-up 4c1c225: Re-bump wgPageTriageCacheVersion

https://gerrit.wikimedia.org/r/513497

Change 513497 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@wmf/1.34.0-wmf.7] Follow-up 4c1c225: Re-bump wgPageTriageCacheVersion

https://gerrit.wikimedia.org/r/513497

Mentioned in SAL (#wikimedia-operations) [2019-05-30T22:19:09Z] <niharika29@deploy1001> Synchronized php-1.34.0-wmf.7/extensions/PageTriage/: Fix broken feed - T224693 (duration: 00m 51s)

Niharika closed this task as Resolved.May 30 2019, 10:26 PM

Change 513495 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Follow-up 4c1c225: Re-bump wgPageTriageCacheVersion

https://gerrit.wikimedia.org/r/513495

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:05 PM